Bug 198329 - graphics/graphviz: unbreak RUBY option
Summary: graphics/graphviz: unbreak RUBY option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-05 19:50 UTC by Mikhail Teterin
Modified: 2015-03-09 07:36 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+


Attachments
Remove BROKEN-declaration in case of RUBY-option (418 bytes, patch)
2015-03-05 19:50 UTC, Mikhail Teterin
no flags Details | Diff
Remove BROKEN-declaration, add RUBY-knobs to configure's environment (900 bytes, patch)
2015-03-05 22:28 UTC, Mikhail Teterin
koobs: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2015-03-05 19:50:54 UTC
Created attachment 153860 [details]
Remove BROKEN-declaration in case of RUBY-option

With our energetic portmgr team, lang/ruby19 is not even available from the ports-tree any longer, but graphviz still considers itself BROKEN, if the RUBY option is selected by the user.

The BROKEN-logic should always have considered ${RUBY_VER} -- because the breakage, it seems, only existed in ruby-1.9.pc. But these days, when 1.9 is not even available at all, the brokenness check should be simply removed.
Comment 1 Mikhail Teterin freebsd_committer 2015-03-05 22:28:26 UTC
Created attachment 153871 [details]
Remove BROKEN-declaration, add RUBY-knobs to configure's environment

This version also adds RUBY_CFLAGS and RUBY_LIBS to configure's environment --  otherwise configure will try to use pkgconfig to find "ruby" and fail because we install the package as ruby-X.Y instead of simply ruby.
Comment 2 Dirk Meyer freebsd_committer 2015-03-08 10:05:54 UTC
patch not approved
Comment 3 commit-hook freebsd_committer 2015-03-08 10:08:15 UTC
A commit references this bug:

Author: dinoex
Date: Sun Mar  8 10:07:36 UTC 2015
New revision: 380755
URL: https://svnweb.freebsd.org/changeset/ports/380755

Log:
  - fix option RUBY to build with ruby 2.1
  PR:		198329

Changes:
  head/graphics/graphviz/Makefile